> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 相关关键词

> Related Keywords 端点提供出现在 Amazon [ 'Related Searches' 部分中的关键词。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/dataforseo_labs/amazon/related_keywords/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/dataforseo_labs/amazon/related_keywords/live:
    post:
      summary: 相关关键词
      description: >-
        Related Keywords 端点提供出现在 Amazon
        [“相关搜索”部分中的关键词。![](https://dataforseo.com/wp-content/uploads/2022/02/Screenshot_10.jpg)](#)
      operationId: post_dataforseo_dataforseo_labs_amazon_related_keywords_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                keyword:
                  type: string
                  description: >-
                    keyword 必填字段 UTF-8 编码 关键词应以小写格式指定 有关 DataForSEO API 中
                    keyword 和 keywords 字段的规则和限制，请参阅此帮助中心文章
                location_name:
                  type: string
                  description: >-
                    位置的完整名称；如果未指定 location_code，则此字段为必填字段。注意：必须指定 location_name
                    或 location_code 其中之一。你可以单独请求
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages，以获取可用位置及其
                    location_name 的列表；注意：此端点目前仅支持美国、埃及、沙特阿拉伯和阿拉伯联合酋长国；示例：United
                    States
                location_code:
                  type: integer
                  description: >-
                    位置代码。如果未指定 location_name，则为必填字段。注意：必须指定 location_name 或
                    location_code。你可以向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    发起单独请求，获取包含 location_code
                    的可用位置列表。注意：此端点目前仅支持美国、埃及、沙特阿拉伯和阿拉伯联合酋长国。示例：2840
                language_name:
                  type: string
                  description: >-
                    语言全名 如果未指定 language_code，则为必填字段 注意：必须指定 language_name 或
                    language_code 之一 可通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发送请求，获取包含 language_name 的可用位置列表 示例：English
                language_code:
                  type: string
                  description: >-
                    语言代码；如果未指定 language_name，则为必填字段；注意：必须指定 language_name 或
                    language_code；您可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发送请求，获取可用位置及其 language_code 列表；示例：en
                depth:
                  type: integer
                  description: >-
                    关键词搜索深度，可选字段；默认值：1；返回结果数量取决于此字段中设置的值；可指定 0 到 4
                    的级别；每个级别的预计关键词数量（最大值）：0 – keyword 字段中设置的关键词 1 – 6 个关键词 2 –
                    42 个关键词 3 – 258 个关键词 4 – 1554 个关键词
                include_seed_keyword:
                  type: boolean
                  description: >-
                    包含种子关键词的数据；可选字段；如果设置为 true，keyword 字段中指定的种子关键词数据将在响应的
                    seed_keyword_data 数组中提供；默认值：false
                ignore_synonyms:
                  type: boolean
                  description: 忽略高度相似的关键词，可选字段。如果设置为 true，则仅返回核心关键词，并排除所有高度相似的关键词；默认值：false
                limit:
                  type: integer
                  description: 返回的关键词最大数量，可选字段，默认值：100，最大值：1000
                offset:
                  type: integer
                  description: >-
                    返回关键词的结果数组中的偏移量，可选字段，默认值：0。如果指定值
                    10，结果数组中的前十个关键词将被省略，并提供后续关键词的数据
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - keyword
                - location_name
                - location_code
                - language_name
                - language_code
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.seed_keyword:
                    type: string
                    description: POST 数组中的关键词
                  tasks.result.seed_keyword_data:
                    type: object
                    description: 种子关键词的关键词数据；对象中的字段与 keyword_data 的字段相同
                  tasks.result.location_code:
                    type: integer
                    description: POST 数组中的位置代码
                  tasks.result.language_code:
                    type: string
                    description: POST 数组中的语言代码
                  tasks.result.total_count:
                    type: integer
                    description: 数据库中与您的请求相关的结果总量
                  tasks.result.items_count:
                    type: integer
                    description: items 数组中返回的结果数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: 包含带有关键词及相关数据的对象
                  tasks.result.items.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.items.keyword_data:
                    type: object
                    description: 返回关键词的关键词数据
                  tasks.result.items.keyword_data.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.items.keyword_data.keyword:
                    type: string
                    description: 相关关键词
                  tasks.result.items.keyword_data.location_code:
                    type: integer
                    description: POST 数组中的位置代码
                  tasks.result.items.keyword_data.language_code:
                    type: string
                    description: POST 数组中的语言代码
                  tasks.result.items.keyword_data.keyword_info:
                    type: object
                    description: 返回关键词的关键词信息
                  tasks.result.items.keyword_data.keyword_info.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.items.keyword_data.keyword_info.last_updated_time:
                    type: string
                    description: >-
                      关键词数据更新时间，采用 UTC 格式：“yyyy-mm-dd hh-mm-ss
                      +00:00”；示例：2019-11-15 12:57:46 +00:00
                  tasks.result.items.keyword_data.keyword_info.search_volume:
                    type: integer
                    description: 平均月搜索量，表示所提供关键词建议在 Amazon 上的（近似）搜索次数
                  tasks.result.items.depth:
                    type: integer
                    description: 关键词搜索深度
                  tasks.result.items.related_keywords:
                    type: array
                    items:
                      type: string
                    description: 相关关键词列表，表示与上方数组中返回的关键词相关的搜索查询列表
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````